config/routes.rb
Rails.application.routes.draw do
  mount RailsAdmin::Engine => '/admin', as: 'rails_admin'
  devise_for :users, controllers: { registrations: "registrations"}
  resources :veiculos

  root to: "home#index"

end

app/models/user.rb
class User < ActiveRecord::Base
  has_many :veiculos
  # Include default devise modules. Others available are:
  # :confirmable, :lockable, :timeoutable and :omniauthable
  devise :database_authenticatable, :registerable,
         :recoverable, :rememberable, :trackable, :validatable
 end

app/models/veiculo.rb
class Veiculo < ActiveRecord::Base
 belongs_to :user
end

app/controllers/application_controller.rb
class ApplicationController < ActionController::Base
  # Prevent CSRF attacks by raising an exception.
  # For APIs, you may want to use :null_session instead.
  protect_from_forgery with: :exception
end

app/controllers/dashboard_controller.rb
class DashboardController < ApplicationController
	before_filter :authenticate_user!
	
	def index

	end
end

app/controllers/home_controller.rb
class HomeController < ApplicationController

	def index
	  if user_signed_in?
	  	redirect_to :controller=>'veiculos', :action => 'index'
	  end
	end
end

app/controllers/registrations_controller.rb
class RegistrationsController < Devise::RegistrationsController

	private

	def sign_up_params
		params.require(:user).permit(:name, :email, :password, :password_confirmation)
	end

	def account_update_params
		params.require(:user).permit(:name, :email, :password, :password_confirmation, :current_password)
	end
	
end

app/controllers/veiculos_controller.rb
class VeiculosController < ApplicationController
	before_action :find_veiculo, only: [:show, :edit, :update, :destroy]

	def index
		@veiculos = Veiculo.all.order("created_at DESC")
	end

	def show
		@veiculo = Veiculo.find(params[:id])
	end

	def new
		@veiculo = Veiculo.new
	end

	def create
		@veiculo = Veiculo.new(veiculo_params)
	
		if @veiculo.save
			redirect_to root_path
		else
			render 'new'
		end
	end

	def edit
	end

	def update
		if @veiculo.update(veiculo_params)
			redirect_to veiculo_path(@veiculo)
		else
			render 'edit'
		end
	end

	def destroy
		@veiculo.destroy
		redirect_to root_path
	end


	private

		def veiculo_params
			params.require(:veiculo).permit(:modelo, :placa, :rg_proprietario, :proprietario)
		end	

	def find_veiculo
		@veiculo = Veiculo.find(params[:id])
	end

end

app/helpers/application_helper.rb
module ApplicationHelper
end

app/helpers/dashboard_helper.rb
module DashboardHelper
end

app/helpers/home_helper.rb
module HomeHelper
end

app/helpers/veiculos_helper.rb
module VeiculosHelper
end

app/views/dashboard/index.html.erb
<h1>Bem vindo à dashboard</h1>

app/views/home/index.html.erb
<h1>Bem vindo ao ParkMan</h1>

app/views/layouts/application.html.erb
<!DOCTYPE html>
<html>
<head>
  <title>GarageControl</title>
  <%= stylesheet_link_tag    'application', media: 'all', 'data-turbolinks-track' => true %>
  <%= javascript_include_tag 'application', 'data-turbolinks-track' => true %>
  <%= csrf_meta_tags %>
</head>
<body>

<nav class="navbar navbar-default">

  <div class="container">

    <div class="navbar-header">
      <%= link_to "ParkMan", root_path, class: "navbar-brand" %>

    </div>

      <ul class="nav navbar-nav">
        <li><%= link_to "Inscreva-se", new_user_registration_path %></li>
          <% if user_signed_in? %>
            <li><%= link_to "Sair" ,destroy_user_session_path, method: :delete %></li>
            <% else %>
            <li><%= link_to "Entrar", new_user_session_path %></li>
          <% end %> 
      </ul>

      <ul class="nav navbar-nav navbar-right">
        <% if user_signed_in? %>
          <li><%= link_to "Adicionar Veículo", new_veiculo_path %></li>
        <% end %>
        

      </ul>

  </div>
</nav>

<p class="notice"><%= notice %></p>
<p class="alert"><%= alert %></p>
    

<%= yield %>

</body>
</html>

app/views/veiculos/_form.html.erb
<%= simple_form_for @veiculo do |f| %>
	<%= f.input :placa %>
	<%= f.input :rg_proprietario, label: "Rg Do Proprietário" %>
	<%= f.input :proprietario, label: "Nome do Proprietário" %>

	<%= f.button :submit %>


<% end %>

app/views/veiculos/edit.html.erb
<h1>Editar veiculo</h1>

<%= render 'form' %>

app/views/veiculos/index.html.erb
<% @veiculos.each do |veiculo| %>
	<h2><%= link_to veiculo.placa, veiculo_path(veiculo) %></h2>
<% end %>

app/views/veiculos/new.html.erb
<h1>Novo Veículo</h1>

<%= render 'form' %>

app/views/veiculos/show.html.erb
<h2><%= @veiculo.placa %></h2>
<h3><%= @veiculo.rg_proprietario %></h3>
<p><%= @veiculo.proprietario %></p>

<%= link_to "Voltar", root_path %>

<%= link_to "Editar", edit_veiculo_path(@veiculo) %>
<%= link_to "Deletar", veiculo_path(@veiculo), method: :delete, data: { confirm: "Você tem certeza?"}  %>